> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List themes

> Retrieve a paginated list of email themes, most recently created first.



## OpenAPI

````yaml https://app.loops.so/openapi.json get /v1/themes
openapi: 3.1.0
info:
  title: Loops OpenAPI Spec
  description: This is the OpenAPI Spec for the [Loops API](https://loops.so/docs/api).
  version: 1.21.6
servers:
  - url: https://app.loops.so/api
security: []
tags:
  - name: API key
  - name: Audience segments
    description: View audience segments
  - name: Campaigns
    description: Create and manage email campaigns
  - name: Campaign groups
    description: Organize campaigns into groups
  - name: Configuration
    description: View configuration settings
  - name: Contacts
    description: Manage contacts in your audience
  - name: Contact properties
    description: Manage contact properties
  - name: Components
    description: View email components
  - name: Email messages
    description: Manage email message content for campaigns
  - name: Events
    description: Trigger workflows with events
  - name: Event patterns
    description: View workflow event patterns
  - name: Mailing lists
    description: View mailing lists
  - name: Themes
    description: View email themes
  - name: Transactional emails
    description: Create, manage, and send transactional emails
  - name: Transactional groups
    description: Organize transactional emails into groups
  - name: Uploads
    description: Upload image assets
  - name: Workflows
    description: View and mutate workflow graphs
  - name: Workflow nodes
    description: View and mutate workflow nodes
  - name: Webhooks
    description: >-
      Events Loops sends to your configured webhook endpoint when certain events
      happen in your account. Configure an endpoint in Settings → Webhooks. Each
      account supports one webhook endpoint. Events are signed with
      `webhook-id`, `webhook-timestamp`, and `webhook-signature` headers and
      delivered at a maximum rate of 10 per second. See
      https://loops.so/docs/webhooks for setup, verification, and payload
      details.
paths:
  /v1/themes:
    get:
      tags:
        - Themes
      summary: List themes
      description: Retrieve a paginated list of email themes, most recently created first.
      operationId: listThemes
      parameters:
        - name: perPage
          in: query
          required: false
          description: >-
            How many results to return in each request. Must be between 10 and
            50. Default is 20.
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          description: >-
            A cursor to return a specific page of results. Cursors can be found
            from the `pagination.nextCursor` value in each response.
          schema:
            type: string
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListThemesResponse'
        '400':
          description: Invalid `perPage` value.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemeFailureResponse'
        '401':
          description: Invalid API key or content API not enabled for this team.
        '405':
          description: Wrong HTTP request method.
      security:
        - apiKey: []
components:
  schemas:
    ListThemesResponse:
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/Pagination'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Theme'
      required:
        - pagination
        - data
      examples:
        - pagination:
            totalResults: 2
            returnedResults: 2
            perPage: 20
            totalPages: 1
            nextCursor: null
            nextPage: null
          data:
            - id: clt3u5v7w9x1y3z5a7b9c1d3
              name: Default
              styles:
                backgroundColor: '#f5f5f5'
                backgroundXPadding: 24
                backgroundYPadding: 24
                bodyColor: '#ffffff'
                bodyXPadding: 24
                bodyYPadding: 24
                bodyFontFamily: Helvetica
                bodyFontCategory: sans-serif
                borderColor: '#e5e5e5'
                borderWidth: 1
                borderRadius: 8
                buttonBodyColor: '#111827'
                buttonBodyXPadding: 16
                buttonBodyYPadding: 12
                buttonBorderColor: '#111827'
                buttonBorderWidth: 0
                buttonBorderRadius: 6
                buttonTextColor: '#ffffff'
                buttonTextFormat: 0
                buttonTextFontSize: 16
                dividerColor: '#e5e5e5'
                dividerBorderWidth: 1
                textBaseColor: '#374151'
                textBaseFontSize: 16
                textBaseLineHeight: 24
                textBaseLetterSpacing: 0
                textLinkColor: '#2563eb'
                heading1Color: '#111827'
                heading1FontSize: 28
                heading1LineHeight: 36
                heading1LetterSpacing: -0.5
                heading2Color: '#111827'
                heading2FontSize: 22
                heading2LineHeight: 30
                heading2LetterSpacing: -0.25
                heading3Color: '#111827'
                heading3FontSize: 18
                heading3LineHeight: 26
                heading3LetterSpacing: 0
              isDefault: true
              createdAt: '2025-06-29T07:47:39.370Z'
              updatedAt: '2025-06-29T07:47:39.370Z'
    ThemeFailureResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      examples:
        - message: Theme not found.
    Pagination:
      type: object
      properties:
        totalResults:
          type: number
          examples:
            - 2
        returnedResults:
          type: number
          examples:
            - 2
        perPage:
          type: number
          examples:
            - 20
        totalPages:
          type: number
          examples:
            - 1
        nextCursor:
          type:
            - string
            - 'null'
          examples:
            - null
        nextPage:
          type:
            - string
            - 'null'
          examples:
            - null
      required:
        - totalResults
        - returnedResults
        - perPage
        - totalPages
        - nextCursor
        - nextPage
      examples:
        - totalResults: 2
          returnedResults: 2
          perPage: 20
          totalPages: 1
          nextCursor: null
          nextPage: null
    Theme:
      type: object
      properties:
        id:
          type: string
          description: The ID of the theme.
          examples:
            - clt3u5v7w9x1y3z5a7b9c1d3
        name:
          type: string
          description: The name of the theme.
          examples:
            - Default
        styles:
          $ref: '#/components/schemas/ThemeStyles'
        isDefault:
          type: boolean
          description: Whether this theme is the team's default.
          examples:
            - true
        createdAt:
          type: string
          description: ISO 8601 timestamp for when the theme was created.
          examples:
            - '2025-06-29T07:47:39.370Z'
        updatedAt:
          type: string
          description: ISO 8601 timestamp for when the theme was last updated.
          examples:
            - '2025-06-29T07:47:39.370Z'
      required:
        - id
        - name
        - styles
        - isDefault
        - createdAt
        - updatedAt
      examples:
        - id: clt3u5v7w9x1y3z5a7b9c1d3
          name: Default
          styles:
            backgroundColor: '#f5f5f5'
            backgroundXPadding: 24
            backgroundYPadding: 24
            bodyColor: '#ffffff'
            bodyXPadding: 24
            bodyYPadding: 24
            bodyFontFamily: Helvetica
            bodyFontCategory: sans-serif
            borderColor: '#e5e5e5'
            borderWidth: 1
            borderRadius: 8
            buttonBodyColor: '#111827'
            buttonBodyXPadding: 16
            buttonBodyYPadding: 12
            buttonBorderColor: '#111827'
            buttonBorderWidth: 0
            buttonBorderRadius: 6
            buttonTextColor: '#ffffff'
            buttonTextFormat: 0
            buttonTextFontSize: 16
            dividerColor: '#e5e5e5'
            dividerBorderWidth: 1
            textBaseColor: '#374151'
            textBaseFontSize: 16
            textBaseLineHeight: 24
            textBaseLetterSpacing: 0
            textLinkColor: '#2563eb'
            heading1Color: '#111827'
            heading1FontSize: 28
            heading1LineHeight: 36
            heading1LetterSpacing: -0.5
            heading2Color: '#111827'
            heading2FontSize: 22
            heading2LineHeight: 30
            heading2LetterSpacing: -0.25
            heading3Color: '#111827'
            heading3FontSize: 18
            heading3LineHeight: 26
            heading3LetterSpacing: 0
          isDefault: true
          createdAt: '2025-06-29T07:47:39.370Z'
          updatedAt: '2025-06-29T07:47:39.370Z'
    ThemeStyles:
      type: object
      description: >-
        Flat map of style attributes, matching the attribute names accepted by
        the LMX `<Style />` tag.
      properties:
        backgroundColor:
          type: string
        backgroundXPadding:
          type: number
        backgroundYPadding:
          type: number
        bodyColor:
          type: string
        bodyXPadding:
          type: number
        bodyYPadding:
          type: number
        bodyFontFamily:
          type: string
        bodyFontCategory:
          type: string
        borderColor:
          type: string
        borderWidth:
          type: number
        borderRadius:
          type: number
        buttonBodyColor:
          type: string
        buttonBodyXPadding:
          type: number
        buttonBodyYPadding:
          type: number
        buttonBorderColor:
          type: string
        buttonBorderWidth:
          type: number
        buttonBorderRadius:
          type: number
        buttonTextColor:
          type: string
        buttonTextFormat:
          type: number
        buttonTextFontSize:
          type: number
        dividerColor:
          type: string
        dividerBorderWidth:
          type: number
        textBaseColor:
          type: string
        textBaseFontSize:
          type: number
        textBaseLineHeight:
          type: number
        textBaseLetterSpacing:
          type: number
        textLinkColor:
          type: string
        heading1Color:
          type: string
        heading1FontSize:
          type: number
        heading1LineHeight:
          type: number
        heading1LetterSpacing:
          type: number
        heading2Color:
          type: string
        heading2FontSize:
          type: number
        heading2LineHeight:
          type: number
        heading2LetterSpacing:
          type: number
        heading3Color:
          type: string
        heading3FontSize:
          type: number
        heading3LineHeight:
          type: number
        heading3LetterSpacing:
          type: number
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

## Related topics

- [Themes](/docs/cli/themes.md)
- [API Introduction](/docs/api-reference/intro.md)
- [Campaigns API examples](/docs/api-reference/examples/campaigns.md)
- [Transactional email API examples](/docs/api-reference/examples/transactional-emails.md)
- [Update a theme](/docs/api-reference/update-theme.md)
